import React from 'react';
import { ImageSourcePropType, TextStyle, ImageStyle } from 'react-native';
export interface NotificationComponentProps {
    /** Passed to `<Image />` as `source` param.
     * @default null */
    imageSource?: ImageSourcePropType;
    /** The maximum number of lines to use for rendering title.
     * @default null */
    maxTitleLines?: number;
    /** The maximum number of lines to use for rendering description.
     * @default null */
    maxDescriptionLines?: number;
    /** A container of the component. Set it in case you use different SafeAreaView than the standard
     * @default SafeAreaView */
    ContainerComponent?: Function;
    /** The style to use for rendering title
     * @default null */
    titleStyle?: TextStyle;
    /** The style to use for rendering description
     * @default null */
    descriptionStyle?: TextStyle;
    /** The style to use for rendering image
     * @default null */
    imageStyle?: ImageStyle;
}
interface NotificationComponentAllProps extends NotificationComponentProps {
    title?: string;
    description?: string;
}
declare const NotificationComponent: React.FunctionComponent<NotificationComponentAllProps>;
export default NotificationComponent;
